source: trunk/dports/science/gr-rds/Portfile

Last change on this file was 153027, checked in by michaelld@…, 12 months ago

gr-rds: "${prefix}/Library/Frameworks" -> "${frameworks_dir}".

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 2.5 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 153027 2016-09-22 13:51:17Z ryandesign@macports.org $
3
4PortSystem          1.0
5PortGroup           cmake 1.0
6PortGroup           github 1.0
7
8github.setup        bastibl gr-rds 182150b84b52899ec83f1812e88d48cc9bf4fef2
9version             20160831
10checksums           rmd160 6dc35bdd2fdf785e4ae320b0baebc55f9b48134f \
11                    sha256 de546a39adb8c572bcddcc8ab0604496e3668f31ddd5b28ddd5045a6eb87941c
12
13categories          science comms
14maintainers         michaelld openmaintainer
15description         Provides the Radio Data System (RDS) block for GNU Radio.
16long_description    ${description}
17license             GPL-2+
18platforms           darwin
19
20depends_build-append port:pkgconfig
21depends_lib-append  port:boost \
22                    port:doxygen \
23                    port:libxml2 \
24                    port:swig
25depends_run-append  port:gr-osmosdr
26
27# allow gr-rds to work with both gnuradio and gnuradio-devel ...
28
29depends_lib-append  path:lib/libgnuradio-runtime.dylib:gnuradio
30
31# ... but not with gnuradio-next
32
33pre-fetch {
34    if {![catch {set installed [lindex [registry_active gnuradio-next] 0]}]} {
35        # gnuradio-next is installed; this version of gr-rds does not work with gnuradio-next
36        ui_msg "\nError: ${name} requires the gnuradio or gnuradio-devel port, and will not work with the gnuradio-next port.  deactivate gnuradio-next, and then install or activate gnuradio or gnuradio-devel.\n"
37        return -code error "Invalid port dependency: gnuradio-next"
38    }
39}
40
41# do VPATH (out of source tree) build
42
43cmake.out_of_source yes
44
45# remove top-level library path, such that internal libraries are used
46# instead of any already-installed ones.
47
48configure.ldflags-delete -L${prefix}/lib
49
50# specify the Python dependencies
51
52depends_lib-append \
53    port:python27
54
55# specify the Python version to use
56
57configure.args-append \
58    -DPYTHON_EXECUTABLE=${frameworks_dir}/Python.framework/Versions/2.7/bin/python2.7 \
59    -DPYTHON_INCLUDE_DIR=${frameworks_dir}/Python.framework/Versions/2.7/Headers \
60    -DPYTHON_LIBRARY=${frameworks_dir}/Python.framework/Versions/2.7/Python \
61    -DGR_PYTHON_DIR=${frameworks_dir}/Python.framework/Versions/2.7/lib/python2.7/site-packages
62
63post-destroot {
64
65    # copy the provided app into examples
66    xinstall -m 755 -d ${destroot}/${prefix}/share/gnuradio/examples/grc/rds
67    xinstall -m 644 -W ${worksrcpath} apps/rds_rx.grc \
68        ${destroot}/${prefix}/share/gnuradio/examples/grc/rds
69
70}
Note: See TracBrowser for help on using the repository browser.